package com.simuwang.base.common.enums;

import lombok.Getter;

@Getter
public enum ReportType {
    MONTHLY(0, "月报", "月"),
    QUARTERLY(1, "季报", "季度"),
    ANNUALLY(2, "年报", "年度");

    private final int type;
    private final String label;
    private final String pattern;

    ReportType(int type, String label, String pattern) {
        this.type = type;
        this.label = label;
        this.pattern = pattern;
    }
}
