package com.simuwang.daq.components.report.parser.pdf;

import com.simuwang.base.mapper.EmailFieldMappingMapper;
import com.simuwang.base.pojo.dto.report.AnnuallyReportData;
import com.simuwang.base.pojo.dto.report.ReportFundInfoDTO;
import com.simuwang.base.pojo.dto.report.ReportParserParams;
import com.simuwang.daq.components.report.parser.ReportParserConstant;
import org.springframework.stereotype.Component;
import technology.tabula.Table;

import java.util.List;

@Component(ReportParserConstant.PARSER_PDF_ANNUALLY)
public class PDAnnuallyReportParser extends AbstractPDReportParser<AnnuallyReportData> {
    public PDAnnuallyReportParser(EmailFieldMappingMapper fieldMappingMapper) {
        super(fieldMappingMapper);
    }

    @Override
    public String getParser() {
        return ReportParserConstant.PARSER_PDF_ANNUALLY;
    }

    @Override
    protected void initTableInfo(List<Table> tables) {
        for (Table table : tables) {
            System.out.println(table.getColCount() + "," + table.getRowCount());
        }
    }

    @Override
    protected ReportFundInfoDTO parseFundInfo(ReportParserParams params) {
        return null;
    }

    @Override
    protected AnnuallyReportData parseExtInfoAndSetData(String reportName, ReportFundInfoDTO fundInfo, ReportParserParams params) {
        return null;
    }
}
