package com.simuwang.base.pojo.dto.report;

import com.simuwang.base.common.enums.ReportType;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2024/9/29 9:32
 * @description 报告解析结果对象
 */
@Setter
@Getter
public abstract class ReportData {
    /**
     * 报告基本信息
     */
    private ReportBaseInfoDTO baseInfo;
    /**
     * 报告包含的基金基本新
     */
    private ReportFundInfoDTO fundInfo;

    public abstract ReportType getReportType();

    @Override
    public String toString() {
        return "baseInfo=" + baseInfo +
                ", fundInfo=" + fundInfo +
                ", reportType" + this.getReportType();
    }
}
